Bug 171365 - compile faild on 2.6.9-22 with reiserfs
compile faild on 2.6.9-22 with reiserfs
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-10-21 03:53 EDT by Joe.Jin
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-21 13:25:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch for this bug (485 bytes, patch)
2005-10-21 03:53 EDT, Joe.Jin
no flags Details | Diff

  None (edit)
Description Joe.Jin 2005-10-21 03:53:17 EDT
Description of problem:
On RHES4 update2, when I compiled the kernel(2.6.9-22) with reiserfs support,
but failed. On patch file "linux-2.6.13-key-reiserfs.patch", only fixed the file
"include/linux/reiserfs_fs.h"  defined of function reiserfs_key, but not fixed
the body of function on file "fs/reiserfs/stree.c", it may case error!

Version-Release number of selected component (if applicable):

How reproducible:
rebuild kernel with reiserfs support.

Actual results:
error on compile.

Expected results:

Additional info:
Comment 1 Joe.Jin 2005-10-21 03:53:17 EDT
Created attachment 120240 [details]
patch for this bug
Comment 2 Jason Baron 2005-10-21 13:25:44 EDT
hmmm. thanks for the patch. however, we don't support re-compiled kernels.
Comment 3 Randy Zagar 2005-10-25 19:29:59 EDT
In kernel-2.6.9-22.EL, there is a problem with fs/reiserfs/stree.c

Line 343 contains the code:

    inline  const struct  key * get_rkey  (

This line needs to be changed to read:

    inline  const struct  reiserfs_key * get_rkey  (

Please fix this problem and renew support for kernel-unsupported-* rpm packages

EXT3 just doesn't cut it with multi-terabyte filesystems.

Note You need to log in before you can comment on or make changes to this bug.